Bug 86096 - (nvidia-ws) Errors when rebuilding a kernel module for nVidia graphics card
Errors when rebuilding a kernel module for nVidia graphics card
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On: nvidia
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-13 16:29 EST by Luis I. Ruiz
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-13 16:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the kernel module that we want to rebuild (596.74 KB, application/octet-stream)
2003-03-13 16:43 EST, Luis I. Ruiz
no flags Details

  None (edit)
Description Luis I. Ruiz 2003-03-13 16:29:21 EST
Description of problem:
Errors found when rebuilding a kernel module for nVidia graphics card.
Nvidia kernel module: NVIDIA_kernel-1.0-4191.src.rpm

Version-Release number of selected component (if applicable):
Red Hat enterprise Linux WS release 2.0.92 (Tampa)
Kernel 2.4.9-e.10.13 on an i686

How reproducible:
Kernel-source for this version installed:
rpm -ivh kernel-source-2.4.9-e.10.13.i386.rpm


Steps to Reproduce:
1. rpm --rebuild NVIDIA_kernel-1.0-4191.src.rpm
2.
3.
    
Actual results:
 rpm --rebuild NVIDIA_kernel-1.0-4191.src.rpm
Installing NVIDIA_kernel-1.0-4191.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.82204
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf NVIDIA_kernel-1.0-4191
+ /bin/gzip -dc /usr/src/redhat/SOURCES/NVIDIA_kernel-1.0-4191.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd NVIDIA_kernel-1.0-4191
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.82204
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ set +e
++ rpm -q --queryformat '%{VERSION}' rpm
+ RPMVERSION=4.0.4
++ echo 4.0.4
++ awk -F . '{print $1;}'
+ RPMMAJOR=4
++ echo 4.0.4
++ awk -F . '{print $2;}'
+ RPMMINOR=0
++ echo 4.0.4
++ awk -F . '{print $3;}'
+ RPMPATCH=4
+ '[' 4 -le 3 -a 0 -le 0 -a 4 -lt 4 ']'
+ make nvidia.o
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -1`\" > nv_compiler.h
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparen
theses -Wpointer-arith -Wcast-qual -Wno-multichar  -O -MD -D__KERNEL__ -DMODULE
-D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -D
MODULE  -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=4191  -DNV_UNI
X   -DNV_LINUX   -DNV_INT64_OK   -DNVCPU_X86       -I. -I/lib/modules/2.4.9-e.10
.13/build/include -Wno-cast-qual nv.c
In file included from nv-linux.h:83,
                 from nv.c:14:
/lib/modules/2.4.9-e.10.13/build/include/linux/highmem.h: In function `bh_kmap':
/lib/modules/2.4.9-e.10.13/build/include/linux/highmem.h:19: warning: pointer of
 type `void *' used in arithmetic
nv.c: In function `nv_kern_mmap':
nv.c:1282: warning: passing arg 1 of `remap_page_range_R1664b601' makes pointer
from integer without a cast
nv.c:1282: incompatible type for argument 4 of `remap_page_range_R1664b601'
nv.c:1282: too few arguments to function `remap_page_range_R1664b601'
nv.c:1301: warning: passing arg 1 of `remap_page_range_R1664b601' makes pointer
from integer without a cast
nv.c:1301: incompatible type for argument 4 of `remap_page_range_R1664b601'
nv.c:1301: too few arguments to function `remap_page_range_R1664b601'
nv.c:1387: warning: passing arg 1 of `remap_page_range_R1664b601' makes pointer
from integer without a cast
nv.c:1387: incompatible type for argument 4 of `remap_page_range_R1664b601'
nv.c:1387: too few arguments to function `remap_page_range_R1664b601'
nv.c: In function `nv_get_phys_address':
nv.c:2250: warning: implicit declaration of function `pte_offset'
nv.c:2250: invalid type argument of `unary *'
make: *** [nv.o] Error 1
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.7281
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd NVIDIA_kernel-1.0-4191
+ rm -f /tmp/files.lst
+ '[' -z '' ']'
++ uname -r
+ export TARGET_KERNEL=2.4.9-e.10.13
+ TARGET_KERNEL=2.4.9-e.10.13
+ '[' -d /lib/modules/2.4.9-e.10.13/kernel ']'
+ INSTALLPATH=/lib/modules/2.4.9-e.10.13/kernel/drivers/video
+ mkdir -p /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.9-e.10.13/kernel/drivers/
video
+ install -m 0444 nvidia.o /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.9-e.10.13
/kernel/drivers/video
install: cannot stat `nvidia.o': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.7281 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.7281 (%install)



Expected results:
It should create the rpm file with the driver

Additional info:
Comment 1 Arjan van de Ven 2003-03-13 16:37:53 EST
The NVidia binary only kernel module is currently not compatible with the Red
Hat Enterprise Linux 2.1 series kernel, and is not supported. It will need
changes to work and since it's a binary only module it's out of our hands.
Comment 2 Luis I. Ruiz 2003-03-13 16:43:49 EST
Created attachment 90587 [details]
This is the kernel module that we want to rebuild

We have to rebuild this module because there is no other one available from
nVidia web site that applies for Enterprise RedHat WS 2.1 kernel.

Appreciate any suggestion.
Thanks.
Comment 3 Mike A. Harris 2003-04-12 11:41:19 EDT
As mentioned above, we do not support binary kernel modules, and nVidia's
binary drivers are incompatible with the kernel in Red Hat Enterprise Linux 2.1.

The changes that are required in order for it to work must be done by Nvidia
since their driver is binary only which means that we do not have the source
code.  Please contact Nvidia directly to find out what operating system
platforms they officially support, and how to obtain support for a given
OS platform.


Note You need to log in before you can comment on or make changes to this bug.